Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document.internal.pattern
Interface PatternParser.ScannerConstants

Enclosing interface:
  PatternParser

public static interface PatternParser.ScannerConstants

Field Summary
`static int` | `__jjV_1C`
`static int` | `__jjV_1D`
`static int` | `__jjV_2C`
`static int` | `__jjV_2D`
`static int` | `__jjV_3C`
`static int` | `__jjV_3D`
`static int` | `__jjV_4C`
`static int` | `__jjV_5B`
`static int` | `__jjV_aB`
`static int` | `__jjV_iB`
`static int` | `__jjV_jB`
`static int` | `__jjV_kB`
`static int` | `__jjV_lB`
`static int` | `__jjV_mB`
`static int` | `__jjV_nB`
`static int` | `__jjV_oB`
`static int` | `ASTERISK`
`static int` | `BOUND_SEPARATOR`
`static int` | `CARET`
`static int` | `CATEGORY_ESCAPE_PROPERTY`
`static int` | `CEP_C`
`static int` | `CEP_Cc`
`static int` | `CEP_Cf`
`static int` | `CEP_Cn`
`static int` | `CEP_Co`
`static int` | `CEP_Is_BLOCK`
`static int` | `CEP_L`
`static int` | `CEP_Ll`
`static int` | `CEP_Lm`
`static int` | `CEP_Lo`
`static int` | `CEP_Lt`
`static int` | `CEP_Lu`
`static int` | `CEP_M`
`static int` | `CEP_Mc`
`static int` | `CEP_Me`
`static int` | `CEP_Mn`
`static int` | `CEP_N`
`static int` | `CEP_Nd`
`static int` | `CEP_Nl`
`static int` | `CEP_No`
`static int` | `CEP_P`
`static int` | `CEP_Pc`
`static int` | `CEP_Pd`
`static int` | `CEP_Pe`
`static int` | `CEP_Pf`
`static int` | `CEP_Pi`
`static int` | `CEP_Po`
`static int` | `CEP_Ps`
`static int` | `CEP_S`
`static int` | `CEP_Sc`
`static int` | `CEP_Sk`
`static int` | `CEP_Sm`
`static int` | `CEP_So`
`static int` | `CEP_Z`
`static int` | `CEP_Zl`
`static int` | `CEP_Zp`
`static int` | `CEP_Zs`
`static int` | `CLOSE_BRACKET`
`static int` | `CLOSE_CATEGORY_ESCAPE`
`static int` | `CLOSE_CURLY_BRACE`
`static int` | `CLOSE_PAREN`
`static int` | `CLOSE_QUANTIFIER`
`static int` | `COMMA`
`static int` | `DEFAULT`
`static int` | `EOF`
`static int` | `ESCAPE_ASTERISK`
`static int` | `ESCAPE_BACKSLASH`
`static int` | `ESCAPE_CARET`
`static int` | `ESCAPE_CLOSE_BRACKET`
`static int` | `ESCAPE_CLOSE_CURLY_BRACE`
`static int` | `ESCAPE_CLOSE_PAREN`
`static int` | `ESCAPE_MINUS_SIGN`
`static int` | `ESCAPE_N`
`static int` | `ESCAPE_OPEN_BRACKET`
`static int` | `ESCAPE_OPEN_CURLY_BRACE`
`static int` | `ESCAPE_OPEN_PAREN`
`static int` | `ESCAPE_PERIOD`
`static int` | `ESCAPE_PIPE`
`static int` | `ESCAPE_PLUS_SIGN`
`static int` | `ESCAPE_QUESTION_MARK`
`static int` | `ESCAPE_R`
`static int` | `ESCAPE_T`
`static int` | `MCE_c`
`static int` | `MCE_C`
`static int` | `MCE_d`
`static int` | `MCE_D`
`static int` | `MCE_i`
`static int` | `MCE_I`
`static int` | `MCE_s`
`static int` | `MCE_S`
`static int` | `MCE_w`
`static int` | `MCE_W`
`static int` | `META_CHARACTER`
`static int` | `MINUS_SIGN`
`static int` | `NON_NEGATIVE_INTEGER`
`static int` | `NORMAL_CHARACTER`
`static int` | `NOT_CARET_MINUS_BRACKETS_OR_BACKSLASH`
`static int` | `OPEN_BRACKET`
`static int` | `OPEN_CATEGORY_ESCAPE`
`static int` | `OPEN_CURLY_BRACE`
`static int` | `OPEN_NEGATIVE_CATEGORY_ESCAPE`
`static int` | `OPEN_PAREN`
`static int` | `PERIOD`
`static int` | `PIPE`
`static int` | `PLUS_SIGN`
`static int` | `QUANTIFIER`
`static int` | `QUESTION_MARK`
`static int` | `SPACE`
`static String[]` | `tokenImage`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### SPACE

    public static final int SPACE

See Also:
  Constant Field Values

### PIPE

    public static final int PIPE

See Also:
  Constant Field Values

### PERIOD

    public static final int PERIOD

See Also:
  Constant Field Values

### OPEN_PAREN

    public static final int OPEN_PAREN

See Also:
  Constant Field Values

### CLOSE_PAREN

    public static final int CLOSE_PAREN

See Also:
  Constant Field Values

### QUESTION_MARK

    public static final int QUESTION_MARK

See Also:
  Constant Field Values

### ASTERISK

    public static final int ASTERISK

See Also:
  Constant Field Values

### PLUS_SIGN

    public static final int PLUS_SIGN

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### OPEN_CURLY_BRACE

    public static final int OPEN_CURLY_BRACE

See Also:
  Constant Field Values

### CLOSE_CURLY_BRACE

    public static final int CLOSE_CURLY_BRACE

See Also:
  Constant Field Values

### OPEN_BRACKET

    public static final int OPEN_BRACKET

See Also:
  Constant Field Values

### CLOSE_BRACKET

    public static final int CLOSE_BRACKET

See Also:
  Constant Field Values

### MINUS_SIGN

    public static final int MINUS_SIGN

See Also:
  Constant Field Values

### CARET

    public static final int CARET

See Also:
  Constant Field Values

### ESCAPE_N

    public static final int ESCAPE_N

See Also:
  Constant Field Values

### ESCAPE_R

    public static final int ESCAPE_R

See Also:
  Constant Field Values

### ESCAPE_T

    public static final int ESCAPE_T

See Also:
  Constant Field Values

### ESCAPE_BACKSLASH

    public static final int ESCAPE_BACKSLASH

See Also:
  Constant Field Values

### ESCAPE_PIPE

    public static final int ESCAPE_PIPE

See Also:
  Constant Field Values

### ESCAPE_PERIOD

    public static final int ESCAPE_PERIOD

See Also:
  Constant Field Values

### ESCAPE_MINUS_SIGN

    public static final int ESCAPE_MINUS_SIGN

See Also:
  Constant Field Values

### ESCAPE_CARET

    public static final int ESCAPE_CARET

See Also:
  Constant Field Values

### ESCAPE_QUESTION_MARK

    public static final int ESCAPE_QUESTION_MARK

See Also:
  Constant Field Values

### ESCAPE_ASTERISK

    public static final int ESCAPE_ASTERISK

See Also:
  Constant Field Values

### ESCAPE_PLUS_SIGN

    public static final int ESCAPE_PLUS_SIGN

See Also:
  Constant Field Values

### ESCAPE_OPEN_CURLY_BRACE

    public static final int ESCAPE_OPEN_CURLY_BRACE

See Also:
  Constant Field Values

### ESCAPE_CLOSE_CURLY_BRACE

    public static final int ESCAPE_CLOSE_CURLY_BRACE

See Also:
  Constant Field Values

### ESCAPE_OPEN_PAREN

    public static final int ESCAPE_OPEN_PAREN

See Also:
  Constant Field Values

### ESCAPE_CLOSE_PAREN

    public static final int ESCAPE_CLOSE_PAREN

See Also:
  Constant Field Values

### ESCAPE_OPEN_BRACKET

    public static final int ESCAPE_OPEN_BRACKET

See Also:
  Constant Field Values

### ESCAPE_CLOSE_BRACKET

    public static final int ESCAPE_CLOSE_BRACKET

See Also:
  Constant Field Values

### MCE_s

    public static final int MCE_s

See Also:
  Constant Field Values

### MCE_S

    public static final int MCE_S

See Also:
  Constant Field Values

### MCE_i

    public static final int MCE_i

See Also:
  Constant Field Values

### MCE_I

    public static final int MCE_I

See Also:
  Constant Field Values

### MCE_c

    public static final int MCE_c

See Also:
  Constant Field Values

### MCE_C

    public static final int MCE_C

See Also:
  Constant Field Values

### MCE_d

    public static final int MCE_d

See Also:
  Constant Field Values

### MCE_D

    public static final int MCE_D

See Also:
  Constant Field Values

### MCE_w

    public static final int MCE_w

See Also:
  Constant Field Values

### MCE_W

    public static final int MCE_W

See Also:
  Constant Field Values

### OPEN_CATEGORY_ESCAPE

    public static final int OPEN_CATEGORY_ESCAPE

See Also:
  Constant Field Values

### OPEN_NEGATIVE_CATEGORY_ESCAPE

    public static final int OPEN_NEGATIVE_CATEGORY_ESCAPE

See Also:
  Constant Field Values

### META_CHARACTER

    public static final int META_CHARACTER

See Also:
  Constant Field Values

### NOT_CARET_MINUS_BRACKETS_OR_BACKSLASH

    public static final int NOT_CARET_MINUS_BRACKETS_OR_BACKSLASH

See Also:
  Constant Field Values

### NORMAL_CHARACTER

    public static final int NORMAL_CHARACTER

See Also:
  Constant Field Values

### NON_NEGATIVE_INTEGER

    public static final int NON_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### BOUND_SEPARATOR

    public static final int BOUND_SEPARATOR

See Also:
  Constant Field Values

### CLOSE_QUANTIFIER

    public static final int CLOSE_QUANTIFIER

See Also:
  Constant Field Values

### CEP_L

    public static final int CEP_L

See Also:
  Constant Field Values

### CEP_Lu

    public static final int CEP_Lu

See Also:
  Constant Field Values

### CEP_Ll

    public static final int CEP_Ll

See Also:
  Constant Field Values

### CEP_Lt

    public static final int CEP_Lt

See Also:
  Constant Field Values

### CEP_Lm

    public static final int CEP_Lm

See Also:
  Constant Field Values

### CEP_Lo

    public static final int CEP_Lo

See Also:
  Constant Field Values

### CEP_M

    public static final int CEP_M

See Also:
  Constant Field Values

### CEP_Mn

    public static final int CEP_Mn

See Also:
  Constant Field Values

### CEP_Mc

    public static final int CEP_Mc

See Also:
  Constant Field Values

### CEP_Me

    public static final int CEP_Me

See Also:
  Constant Field Values

### CEP_N

    public static final int CEP_N

See Also:
  Constant Field Values

### CEP_Nd

    public static final int CEP_Nd

See Also:
  Constant Field Values

### CEP_Nl

    public static final int CEP_Nl

See Also:
  Constant Field Values

### CEP_No

    public static final int CEP_No

See Also:
  Constant Field Values

### CEP_P

    public static final int CEP_P

See Also:
  Constant Field Values

### CEP_Pc

    public static final int CEP_Pc

See Also:
  Constant Field Values

### CEP_Pd

    public static final int CEP_Pd

See Also:
  Constant Field Values

### CEP_Ps

    public static final int CEP_Ps

See Also:
  Constant Field Values

### CEP_Pe

    public static final int CEP_Pe

See Also:
  Constant Field Values

### CEP_Pi

    public static final int CEP_Pi

See Also:
  Constant Field Values

### CEP_Pf

    public static final int CEP_Pf

See Also:
  Constant Field Values

### CEP_Po

    public static final int CEP_Po

See Also:
  Constant Field Values

### CEP_Z

    public static final int CEP_Z

See Also:
  Constant Field Values

### CEP_Zs

    public static final int CEP_Zs

See Also:
  Constant Field Values

### CEP_Zl

    public static final int CEP_Zl

See Also:
  Constant Field Values

### CEP_Zp

    public static final int CEP_Zp

See Also:
  Constant Field Values

### CEP_S

    public static final int CEP_S

See Also:
  Constant Field Values

### CEP_Sm

    public static final int CEP_Sm

See Also:
  Constant Field Values

### CEP_Sc

    public static final int CEP_Sc

See Also:
  Constant Field Values

### CEP_Sk

    public static final int CEP_Sk

See Also:
  Constant Field Values

### CEP_So

    public static final int CEP_So

See Also:
  Constant Field Values

### CEP_C

    public static final int CEP_C

See Also:
  Constant Field Values

### CEP_Cc

    public static final int CEP_Cc

See Also:
  Constant Field Values

### CEP_Cf

    public static final int CEP_Cf

See Also:
  Constant Field Values

### CEP_Co

    public static final int CEP_Co

See Also:
  Constant Field Values

### CEP_Cn

    public static final int CEP_Cn

See Also:
  Constant Field Values

### CEP_Is_BLOCK

    public static final int CEP_Is_BLOCK

See Also:
  Constant Field Values

### CLOSE_CATEGORY_ESCAPE

    public static final int CLOSE_CATEGORY_ESCAPE

See Also:
  Constant Field Values

### __jjV_2C

    public static final int __jjV_2C

See Also:
  Constant Field Values

### __jjV_aB

    public static final int __jjV_aB

See Also:
  Constant Field Values

### __jjV_2D

    public static final int __jjV_2D

See Also:
  Constant Field Values

### __jjV_oB

    public static final int __jjV_oB

See Also:
  Constant Field Values

### __jjV_iB

    public static final int __jjV_iB

See Also:
  Constant Field Values

### __jjV_jB

    public static final int __jjV_jB

See Also:
  Constant Field Values

### __jjV_5B

    public static final int __jjV_5B

See Also:
  Constant Field Values

### __jjV_kB

    public static final int __jjV_kB

See Also:
  Constant Field Values

### __jjV_lB

    public static final int __jjV_lB

See Also:
  Constant Field Values

### __jjV_mB

    public static final int __jjV_mB

See Also:
  Constant Field Values

### __jjV_1D

    public static final int __jjV_1D

See Also:
  Constant Field Values

### __jjV_3D

    public static final int __jjV_3D

See Also:
  Constant Field Values

### __jjV_1C

    public static final int __jjV_1C

See Also:
  Constant Field Values

### __jjV_3C

    public static final int __jjV_3C

See Also:
  Constant Field Values

### __jjV_nB

    public static final int __jjV_nB

See Also:
  Constant Field Values

### __jjV_4C

    public static final int __jjV_4C

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### QUANTIFIER

    public static final int QUANTIFIER

See Also:
  Constant Field Values

### CATEGORY_ESCAPE_PROPERTY

    public static final int CATEGORY_ESCAPE_PROPERTY

See Also:
  Constant Field Values

### tokenImage

    public static final String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD